Bug 102635 - suspend breaks amd's /net/<hostname> mounts
Summary: suspend breaks amd's /net/<hostname> mounts
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: apmd   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-19 06:59 UTC by Alexandre Oliva
Modified: 2015-01-08 00:06 UTC (History)
2 users (show)

Fixed In Version: 3.0.2-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 21:13:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2003-08-19 06:59:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
After suspending my laptop with apm -s, then resuming it, named is correctly
restarted, but amd (that uses only named from localhost to resolve names, as
mandated by my /etc/resolv.conf) is no longer able to mount /net/<hostname>
mountpoints any longer.  I have to restart it in order for such mountpoints to
work again.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.service amd start
2.apm -s
3.<resume>
4.ls /net/<NFSserver>
5.service amd reload
6.ls /net/<NFSserver>
7.service amd restart
8.ls /net/<NFSserver>


Actual Results:  4 and 6 fail to mount, whereas 8 works (unless your NFSserver
won't let you mount, in which case the whole thing was pointless :-)

Expected Results:  Ideally amd should be restarted over suspend/resume, just
like named.

Additional info:

Comment 1 Alexandre Oliva 2003-08-19 07:11:05 UTC
And the solution is similar to that of bug 80228, namely, add amd to
RESTORESERVICES in /etc/sysconfig/apmd.

Comment 2 Alexandre Oliva 2003-10-19 19:56:46 UTC
Is there any problem with simply adding amd to RESTORESERVICES in
/etc/sysconfig/apm?  It seems like a very simple fix.  Am I missing any reason
for it to not have been put in after such a long time?

Comment 3 Bill Nottingham 2003-10-22 21:13:52 UTC
fixed in 3.0.2-20

Comment 4 Alexandre Oliva 2003-10-25 19:45:15 UTC
Thanks, verified.


Note You need to log in before you can comment on or make changes to this bug.